GET

https://send.now/api/file/set_folder?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz&fld_id=54

Parameters Description Example Format Required
key API-Key 1ltghrilhllgrx2b2 String yes
file_code File code eb58d02u8znz String yes
fld_id Folder id (0 = your root folder) 54 Number yes

cURL example


curl --include \
'https://send.now/api/file/set_folder?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz&fld_id=54'
          

Response


          {
            "status": 200,
            "msg": "OK",
            "result": {
              "url": "https://send.now/eb58d02u8znz",
              "filecode": "eb58d02u8znz"
            },
            "server_time": "2024-08-26 12:38:26"
          }
          

Notice

Only your own files can be moved, into your own folders. fld_id=0 moves the file to the root folder.
file_code can be a comma separated list. The reply then has a list in result, one entry per moved file.

Status code

200 Everything is OK. Request succeeded
400 Bad request (e.g. wrong parameters)
403 Permission denied
404 File not found
451 Unavailable